### Parameters

`CFG : ProcCfg.S`

### Signature

`module CFG = CFG`
`module Domain = DataDepMap`
`type extras``= ProcData.no_extras```
`val add_data_dep_exp : DataDepMap.key ‑> InferIR.Exp.t ‑> DataDepSet.astate DataDepMap.t ‑> DataDepSet.astate DataDepMap.t`
`val exec_instr : DataDepSet.astate DataDepMap.t ‑> 'a ‑> 'b ‑> InferIR.Sil.instr ‑> DataDepSet.astate DataDepMap.t`
`val pp_session_name : CFG.Node.t ‑> F.formatter ‑> unit`